{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-world-lb
  namespace: slurm
spec:
  description: Allow ingress from world
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: slurmdbd
  ingress:
  - fromEntities:
    - world
{{- end}}
